# Uses of Class
org.apache.lucene.search.DisiWrapper

Packages that use DisiWrapper
Package
Description
org.apache.lucene.search
Code to search indices.

## Uses of DisiWrapper in org.apache.lucene.search

Fields in org.apache.lucene.search declared as DisiWrapper
Modifier and Type
Field
Description
`DisiWrapper`
DisiWrapper.`next`
Methods in org.apache.lucene.search that return DisiWrapper
Modifier and Type
Method
Description
`DisiWrapper`
DisiPriorityQueue.`add(DisiWrapper entry)`
`DisiWrapper`
DisiPriorityQueue.`pop()`
`DisiWrapper`
DisiPriorityQueue.`top()`
`DisiWrapper`
DisiPriorityQueue.`top2()`
Return the 2nd least value in this heap, or null if the heap contains less than 2 values.
`DisiWrapper`
DisiPriorityQueue.`topList()`
Get the list of scorers which are on the current doc.
`DisiWrapper`
DisiPriorityQueue.`updateTop()`
Methods in org.apache.lucene.search that return types with arguments of type DisiWrapper
Modifier and Type
Method
Description
`Iterator<DisiWrapper>`
DisiPriorityQueue.`iterator()`
Methods in org.apache.lucene.search with parameters of type DisiWrapper
Modifier and Type
Method
Description
`DisiWrapper`
DisiPriorityQueue.`add(DisiWrapper entry)`
`void`
DisiPriorityQueue.`addAll(DisiWrapper[] entries, int offset, int len)`